Index: src/auth/basic/auth_basic.c
===================================================================
RCS file: /cvsroot/squid/squid/src/auth/basic/auth_basic.c,v
retrieving revision 1.1.2.43
diff -u -p -r1.1.2.43 auth_basic.c
--- src/auth/basic/auth_basic.c	2001/08/13 23:43:43	1.1.2.43
+++ src/auth/basic/auth_basic.c	2001/08/29 22:37:30
@@ -515,6 +515,10 @@ authenticateBasicDecodeAuth(auth_user_re
 	    basic_auth->passwd = local_basic.passwd;
 	} else
 	    xfree(local_basic.passwd);
+	if (auth_user->flags.credentials_ok == 3) {
+	    debug(29, 4) ("authBasicDecodeAuth: last attempt to authenticate this user failed, resetting auth state to unchecked\n");
+	    auth_user->flags.credentials_ok = 0;
+	}
     }
     /* link the request to the user */
     auth_user_request->auth_user = auth_user;

